'use strict';


import Direction from './Direction';


export default class Position {
        constructor(public x: number, public y: number) {}

        translate(dir: Direction, amount: number): Position {
		var p = new Position(this.x, this.y);

		switch (dir) {
		case Direction.North:
			p.y -= amount;
			break;

		case Direction.East:
			p.x += amount;
			break;

		case Direction.South:
			p.y += amount;
			break;

		case Direction.West:
			p.x -= amount;
		}

		return p;
	}
}
